// Written by TeTeT
// Some ambiance for the LHD:
// lower the elevator, spawn some helo, raise elevator, taxi to take off position, leave the carrier

// spawn some parked helos

{
	_heloType = "CUP_B_UH1Y_UNA_USMC";
	_pos = [getPos _x select 0, getPos _x select 1, 18];
	_helo = _heloType createVehicle _pos;
	_helo setPosASL _pos;
	_helo setDir (getDir _x);
	[_helo, 1, true] call TeTeT_fnc_pack_UH1Y;
} forEach [KheSanhH1, KheSanhH2, KheSanhH3, KheSanhH4, KheSanhH5];

{
	_heloType = "CUP_B_CH53E_USMC";
	_pos = [getPos _x select 0, getPos _x select 1, 18];
	_helo = _heloType createVehicle _pos;
	_helo setPosASL _pos;
	_helo setDir (getDir _x);
	[_helo, 1, true] call TeTeT_fnc_pack_CH53;
} forEach [KheSanhH7, KheSanhH8, KheSanhH9, KheSanhH10];

// find the elevators, which are close to NPC 'tower'
private ["_pos", "_ele1", "_ele2", "_dest", "_helo", "_heloType", "_dir"];

_dest = [N, NE, E, SE, SW, W, NW];

_pos = getPos tower;
tower setPos (getPos KheSanhElevatorFore);
_ele1 = nearestObject [tower, "CUP_LHD_elev_1"];
tower setPos (getPos KheSanhElevatorAft);
_ele2 = nearestObject [tower, "CUP_LHD_elev_2"];

tower setPos _pos;

while {alive player} do {
	[_ele1, "lower", "ext", 1] call CUP_fnc_callElevatorLHD;

	sleep 10;

	_heloType = [["CUP_B_AH1Z_Escort", TeTeT_fnc_pack_AH1Z],
		     ["CUP_B_UH1Y_UNA_USMC", TeTeT_fnc_pack_UH1Y]] call bis_fnc_selectRandom;
	_pos = getPos KheSanhElevatorFore;
	_pos = [_pos select 0, _pos select 1, 8];
	_dir = getDir KheSanhElevatorFore;

	_helo = (_heloType select 0) createVehicle _pos;
	[_helo, 1, true] call (_heloType select 1);
	_helo setPosASL _pos;
	_helo setDir _dir;

	// position adjustments
	switch (_heloType select 0) do {
		case "CUP_B_UH1Y_UNA_USMC": {
			_pos = [_pos, 5, _dir] call bis_fnc_relPos;
			_helo setPosASL _pos;
		};
	};

	[_ele1, "raise", "ext", 1] call CUP_fnc_callElevatorLHD;

	sleep 10;

	[_helo, 0] call (_heloType select 1);
	sleep 10;
	createVehicleCrew _helo;
	_pos = _dest call bis_fnc_selectRandom;

	_grp = group (crew _helo select 0);
	_wp = _grp addWaypoint [_pos, 100];
	_wp setWaypointType "MOVE";

	// sometimes things go awry on the LHD
	// better clean up the mess
	[_helo] spawn {
		params ["_helo"];
		while {alive _helo} do {
			sleep 10;
		};
		deleteVehicle _helo;
	};
	[_helo, _pos] spawn TeTeT_fnc_despawn;
	waitUntil {!isTouchingGround _helo};
	sleep 45;
};
